window.Gleam.initSearch([{"doc":"birl","title":"birl","content":"![birl](https://raw.githubusercontent.com/massivefermion/birl/main/banner.png)\n\n[![Package Version](https://img.shields.io/hexpm/v/birl)](https://hex.pm/packages/birl)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/birl/)\n\n# birl\n\nDate/Time handling for gleam\n\n## &lt;img width=32 src=&quot;https://raw.githubusercontent.com/massivefermion/birl/main/icon.png&quot;&gt; Quick start\n\n```sh\ngleam run   # Run the project\ngleam test  # Run the tests\ngleam shell # Run an Erlang shell\n```\n\n## &lt;img width=32 src=&quot;https://raw.githubusercontent.com/massivefermion/birl/main/icon.png&quot;&gt; Installation\n\nThis package can be added to your Gleam project:\n\n```sh\ngleam add birl\n```\n\nand its documentation can be found at &lt;https://hexdocs.pm/birl&gt;.\n\n## &lt;img width=32 src=&quot;https://raw.githubusercontent.com/massivefermion/birl/main/icon.png&quot;&gt; Usage\n\n```gleam\nimport birl\nimport birl/duration\n\npub fn main() {\n    let now = birl.now()\n    let two_weeks_later = birl.add(now, duration.weeks(2))\n    birl.to_iso8601(two_weeks_later)\n}\n```","url":"index.html"},{"doc":"birl/duration","title":"Duration","content":"pub type Duration {\n  Duration(Int)\n}\n\nDuration(Int)\n\n\nSynonyms:\nbirl/duration.Duration\nbirl/duration Duration","url":"birl/duration.html#Duration"},{"doc":"birl/duration","title":"Unit","content":"pub type Unit {\n  MicroSecond\n  MilliSecond\n  Second\n  Minute\n  Hour\n  Day\n  Week\n  Month\n  Year\n}\n\nMicroSecond\n\n\nMilliSecond\n\n\nSecond\n\n\nMinute\n\n\nHour\n\n\nDay\n\n\nWeek\n\n\nMonth\n\n\nYear\n\n\nSynonyms:\nbirl/duration.Unit\nbirl/duration Unit","url":"birl/duration.html#Unit"},{"doc":"birl/duration","title":"accurate_decompose","content":"pub fn accurate_decompose(\n  duration: Duration,\n) -&gt; List(#(Int, Unit))\n Use this if you need very long durations where small inaccuracies could lead to large errors\nSynonyms:\nbirl/duration.accurate_decompose\nbirl/duration accurate_decompose","url":"birl/duration.html#accurate_decompose"},{"doc":"birl/duration","title":"accurate_new","content":"pub fn accurate_new(values: List(#(Int, Unit))) -&gt; Duration\n Use this if you need very long durations where small inaccuracies could lead to large errors\nSynonyms:\nbirl/duration.accurate_new\nbirl/duration accurate_new","url":"birl/duration.html#accurate_new"},{"doc":"birl/duration","title":"add","content":"pub fn add(a: Duration, b: Duration) -&gt; Duration\n\nSynonyms:\nbirl/duration.add\nbirl/duration add","url":"birl/duration.html#add"},{"doc":"birl/duration","title":"blur","content":"pub fn blur(duration: Duration) -&gt; #(Int, Unit)\n approximates the duration by a value in a single unit\nSynonyms:\nbirl/duration.blur\nbirl/duration blur","url":"birl/duration.html#blur"},{"doc":"birl/duration","title":"days","content":"pub fn days(value: Int) -&gt; Duration\n\nSynonyms:\nbirl/duration.days\nbirl/duration days","url":"birl/duration.html#days"},{"doc":"birl/duration","title":"decompose","content":"pub fn decompose(duration: Duration) -&gt; List(#(Int, Unit))\n Use this if you need short durations where a year just means 365 days and a month just means 30 days\nSynonyms:\nbirl/duration.decompose\nbirl/duration decompose","url":"birl/duration.html#decompose"},{"doc":"birl/duration","title":"hours","content":"pub fn hours(value: Int) -&gt; Duration\n\nSynonyms:\nbirl/duration.hours\nbirl/duration hours","url":"birl/duration.html#hours"},{"doc":"birl/duration","title":"minutes","content":"pub fn minutes(value: Int) -&gt; Duration\n\nSynonyms:\nbirl/duration.minutes\nbirl/duration minutes","url":"birl/duration.html#minutes"},{"doc":"birl/duration","title":"months","content":"pub fn months(value: Int) -&gt; Duration\n\nSynonyms:\nbirl/duration.months\nbirl/duration months","url":"birl/duration.html#months"},{"doc":"birl/duration","title":"new","content":"pub fn new(values: List(#(Int, Unit))) -&gt; Duration\n Use this if you need short durations where a year just means 365 days and a month just means 30 days\nSynonyms:\nbirl/duration.new\nbirl/duration new","url":"birl/duration.html#new"},{"doc":"birl/duration","title":"parse","content":"pub fn parse(expression: String) -&gt; Result(Duration, Nil)\n You can use this function to create a new duration using expressions like:\n\n     &quot;accurate: 1 Year - 2days + 152M -1h + 25 years + 25secs&quot;\n\n where the units are:\n\n     Year:         y, Y, YEAR, years, Years, ...\n\n     Month:        mon, Month, mONths, ...\n\n     Week:         w, W, Week, weeks, ...\n\n     Day:          d, D, day, Days, ...\n\n     Hour:         h, H, Hour, Hours, ...\n\n     Minute:       m, M, Min, minute, Minutes, ...\n\n     Second:       s, S, sec, Secs, second, Seconds, ...\n\n     MilliSecond:  ms, Msec, mSecs, milliSecond, MilliSecond, ...\n\n Numbers with no unit are considered as microseconds.\n Specifying `accurate:` is equivalent to using `accurate_new`.\nSynonyms:\nbirl/duration.parse\nbirl/duration parse","url":"birl/duration.html#parse"},{"doc":"birl/duration","title":"seconds","content":"pub fn seconds(value: Int) -&gt; Duration\n\nSynonyms:\nbirl/duration.seconds\nbirl/duration seconds","url":"birl/duration.html#seconds"},{"doc":"birl/duration","title":"weeks","content":"pub fn weeks(value: Int) -&gt; Duration\n\nSynonyms:\nbirl/duration.weeks\nbirl/duration weeks","url":"birl/duration.html#weeks"},{"doc":"birl/duration","title":"years","content":"pub fn years(value: Int) -&gt; Duration\n\nSynonyms:\nbirl/duration.years\nbirl/duration years","url":"birl/duration.html#years"},{"doc":"birl/duration","title":"birl/duration","content":"","url":"birl/duration.html"},{"doc":"birl/time","title":"Date","content":"@deprecated(&quot;Use birl.Day instead!&quot;)\npub type Date {\n  Date(year: Int, month: Int, day: Int)\n}\n\nDate(year: Int, month: Int, day: Int)\n\n\nSynonyms:\nbirl/time.Date\nbirl/time Date","url":"birl/time.html#Date"},{"doc":"birl/time","title":"DateTime","content":"pub opaque type DateTime\n\n\nSynonyms:\nbirl/time.DateTime\nbirl/time DateTime","url":"birl/time.html#DateTime"},{"doc":"birl/time","title":"Month","content":"@deprecated(&quot;Use birl.Month instead!&quot;)\npub type Month {\n  Jan\n  Feb\n  Mar\n  Apr\n  May\n  Jun\n  Jul\n  Aug\n  Sep\n  Oct\n  Nov\n  Dec\n}\n\nJan\n\n\nFeb\n\n\nMar\n\n\nApr\n\n\nMay\n\n\nJun\n\n\nJul\n\n\nAug\n\n\nSep\n\n\nOct\n\n\nNov\n\n\nDec\n\n\nSynonyms:\nbirl/time.Month\nbirl/time Month","url":"birl/time.html#Month"},{"doc":"birl/time","title":"Time","content":"@deprecated(&quot;Use birl.TimeOfDay instead!&quot;)\npub type Time {\n  Time(hour: Int, minute: Int, second: Int, milli_second: Int)\n}\n\nTime(hour: Int, minute: Int, second: Int, milli_second: Int)\n\n\nSynonyms:\nbirl/time.Time\nbirl/time Time","url":"birl/time.html#Time"},{"doc":"birl/time","title":"Weekday","content":"@deprecated(&quot;Use birl.Weekday instead!&quot;)\npub type Weekday {\n  Mon\n  Tue\n  Wed\n  Thu\n  Fri\n  Sat\n  Sun\n}\n\nMon\n\n\nTue\n\n\nWed\n\n\nThu\n\n\nFri\n\n\nSat\n\n\nSun\n\n\nSynonyms:\nbirl/time.Weekday\nbirl/time Weekday","url":"birl/time.html#Weekday"},{"doc":"birl/time","title":"unix_epoch","content":"pub const unix_epoch: DateTime = DateTime(\n  0,\n  0,\n  option.None,\n  option.None,\n)\n starting point of unix timestamps\nSynonyms:\nbirl/time.unix_epoch\nbirl/time unix_epoch","url":"birl/time.html#unix_epoch"},{"doc":"birl/time","title":"add","content":"pub fn add(value: DateTime, duration: Duration) -&gt; DateTime\n\nSynonyms:\nbirl/time.add\nbirl/time add","url":"birl/time.html#add"},{"doc":"birl/time","title":"compare","content":"pub fn compare(a: DateTime, b: DateTime) -&gt; Order\n\nSynonyms:\nbirl/time.compare\nbirl/time compare","url":"birl/time.html#compare"},{"doc":"birl/time","title":"difference","content":"pub fn difference(a: DateTime, b: DateTime) -&gt; Duration\n\nSynonyms:\nbirl/time.difference\nbirl/time difference","url":"birl/time.html#difference"},{"doc":"birl/time","title":"from_erlang_local_datetime","content":"pub fn from_erlang_local_datetime(\n  erlang_datetime: #(#(Int, Int, Int), #(Int, Int, Int)),\n) -&gt; DateTime\n calculates the DateTime value from the erlang datetime using the local offset of the system\nSynonyms:\nbirl/time.from_erlang_local_datetime\nbirl/time from_erlang_local_datetime","url":"birl/time.html#from_erlang_local_datetime"},{"doc":"birl/time","title":"from_erlang_universal_datetime","content":"pub fn from_erlang_universal_datetime(\n  erlang_datetime: #(#(Int, Int, Int), #(Int, Int, Int)),\n) -&gt; DateTime\n calculates the DateTime value from the erlang datetime in UTC\nSynonyms:\nbirl/time.from_erlang_universal_datetime\nbirl/time from_erlang_universal_datetime","url":"birl/time.html#from_erlang_universal_datetime"},{"doc":"birl/time","title":"from_http","content":"pub fn from_http(value: String) -&gt; Result(DateTime, Nil)\n see [here](https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Date)\n\n also supports other similar formats:\n\n   - `Tue, 01-Nov-2016 08:49:37 GMT`\n\n   - `Tue, 01 Nov 2016 08:49:37 +0630`\n\n   - `Tue, 01-November-2016 08:49:37 Z`\n\n   - `Tuesday, 01-Nov-2016 08:49:37 +330`\n\n   - `Tuesday, 01 November 2016 08:49:37 +06:30`\nSynonyms:\nbirl/time.from_http\nbirl/time from_http","url":"birl/time.html#from_http"},{"doc":"birl/time","title":"from_iso8601","content":"pub fn from_iso8601(value: String) -&gt; Result(DateTime, Nil)\n\nSynonyms:\nbirl/time.from_iso8601\nbirl/time from_iso8601","url":"birl/time.html#from_iso8601"},{"doc":"birl/time","title":"from_naive","content":"pub fn from_naive(value: String) -&gt; Result(DateTime, Nil)\n the naive format is the same as ISO8601 except that it does not contain the offset\nSynonyms:\nbirl/time.from_naive\nbirl/time from_naive","url":"birl/time.html#from_naive"},{"doc":"birl/time","title":"from_unix","content":"pub fn from_unix(value: Int) -&gt; DateTime\n unix timestamps are the number of seconds that have elapsed since 00:00:00 UTC on January 1st, 1970\nSynonyms:\nbirl/time.from_unix\nbirl/time from_unix","url":"birl/time.html#from_unix"},{"doc":"birl/time","title":"get_date","content":"pub fn get_date(value: DateTime) -&gt; Date\n\nSynonyms:\nbirl/time.get_date\nbirl/time get_date","url":"birl/time.html#get_date"},{"doc":"birl/time","title":"get_offset","content":"pub fn get_offset(value: DateTime) -&gt; String\n\nSynonyms:\nbirl/time.get_offset\nbirl/time get_offset","url":"birl/time.html#get_offset"},{"doc":"birl/time","title":"get_time","content":"pub fn get_time(value: DateTime) -&gt; Time\n\nSynonyms:\nbirl/time.get_time\nbirl/time get_time","url":"birl/time.html#get_time"},{"doc":"birl/time","title":"get_timezone","content":"pub fn get_timezone(value: DateTime) -&gt; Option(String)\n\nSynonyms:\nbirl/time.get_timezone\nbirl/time get_timezone","url":"birl/time.html#get_timezone"},{"doc":"birl/time","title":"legible_difference","content":"pub fn legible_difference(a: DateTime, b: DateTime) -&gt; String\n\nSynonyms:\nbirl/time.legible_difference\nbirl/time legible_difference","url":"birl/time.html#legible_difference"},{"doc":"birl/time","title":"monotonic_now","content":"pub fn monotonic_now() -&gt; Int\n\nSynonyms:\nbirl/time.monotonic_now\nbirl/time monotonic_now","url":"birl/time.html#monotonic_now"},{"doc":"birl/time","title":"month","content":"pub fn month(value: DateTime) -&gt; Month\n\nSynonyms:\nbirl/time.month\nbirl/time month","url":"birl/time.html#month"},{"doc":"birl/time","title":"now","content":"pub fn now() -&gt; DateTime\n use this to get the current time in the local timezone offset\nSynonyms:\nbirl/time.now\nbirl/time now","url":"birl/time.html#now"},{"doc":"birl/time","title":"now_with_offset","content":"pub fn now_with_offset(offset: String) -&gt; Result(DateTime, Nil)\n Use this to get the current time with a given offset.\n\n Some examples of acceptable offsets:\n\n `&quot;+330&quot;, &quot;03:30&quot;, &quot;-8:00&quot;,&quot;-7&quot;, &quot;-0400&quot;, &quot;03&quot;`\nSynonyms:\nbirl/time.now_with_offset\nbirl/time now_with_offset","url":"birl/time.html#now_with_offset"},{"doc":"birl/time","title":"now_with_timezone","content":"pub fn now_with_timezone(\n  timezone: String,\n) -&gt; Result(DateTime, Nil)\n\nSynonyms:\nbirl/time.now_with_timezone\nbirl/time now_with_timezone","url":"birl/time.html#now_with_timezone"},{"doc":"birl/time","title":"range","content":"pub fn range(\n  from a: DateTime,\n  to b: Option(DateTime),\n  step s: Duration,\n) -&gt; Iterator(DateTime)\n can be used to create a time range starting from time `a` with step `s`\n\n if `b` is `option.None` the range will be infinite\nSynonyms:\nbirl/time.range\nbirl/time range","url":"birl/time.html#range"},{"doc":"birl/time","title":"set_date","content":"pub fn set_date(value: DateTime, date: Date) -&gt; DateTime\n\nSynonyms:\nbirl/time.set_date\nbirl/time set_date","url":"birl/time.html#set_date"},{"doc":"birl/time","title":"set_offset","content":"pub fn set_offset(\n  value: DateTime,\n  new_offset: String,\n) -&gt; Result(DateTime, Nil)\n use this to change the offset of a given time value.\n\n Some examples of acceptable offsets:\n\n `&quot;+330&quot;, &quot;03:30&quot;, &quot;-8:00&quot;,&quot;-7&quot;, &quot;-0400&quot;, &quot;03&quot;, &quot;Z&quot;`\nSynonyms:\nbirl/time.set_offset\nbirl/time set_offset","url":"birl/time.html#set_offset"},{"doc":"birl/time","title":"set_time","content":"pub fn set_time(value: DateTime, time: Time) -&gt; DateTime\n\nSynonyms:\nbirl/time.set_time\nbirl/time set_time","url":"birl/time.html#set_time"},{"doc":"birl/time","title":"set_timezone","content":"pub fn set_timezone(\n  value: DateTime,\n  new_timezone: String,\n) -&gt; Result(DateTime, Nil)\n\nSynonyms:\nbirl/time.set_timezone\nbirl/time set_timezone","url":"birl/time.html#set_timezone"},{"doc":"birl/time","title":"short_string_month","content":"pub fn short_string_month(value: DateTime) -&gt; String\n\nSynonyms:\nbirl/time.short_string_month\nbirl/time short_string_month","url":"birl/time.html#short_string_month"},{"doc":"birl/time","title":"short_string_weekday","content":"pub fn short_string_weekday(value: DateTime) -&gt; String\n\nSynonyms:\nbirl/time.short_string_weekday\nbirl/time short_string_weekday","url":"birl/time.html#short_string_weekday"},{"doc":"birl/time","title":"string_month","content":"pub fn string_month(value: DateTime) -&gt; String\n\nSynonyms:\nbirl/time.string_month\nbirl/time string_month","url":"birl/time.html#string_month"},{"doc":"birl/time","title":"string_weekday","content":"pub fn string_weekday(value: DateTime) -&gt; String\n\nSynonyms:\nbirl/time.string_weekday\nbirl/time string_weekday","url":"birl/time.html#string_weekday"},{"doc":"birl/time","title":"subtract","content":"pub fn subtract(value: DateTime, duration: Duration) -&gt; DateTime\n\nSynonyms:\nbirl/time.subtract\nbirl/time subtract","url":"birl/time.html#subtract"},{"doc":"birl/time","title":"to_erlang_datetime","content":"pub fn to_erlang_datetime(\n  value: DateTime,\n) -&gt; #(#(Int, Int, Int), #(Int, Int, Int))\n calculates erlang datetime using the offset in the DateTime value\nSynonyms:\nbirl/time.to_erlang_datetime\nbirl/time to_erlang_datetime","url":"birl/time.html#to_erlang_datetime"},{"doc":"birl/time","title":"to_erlang_universal_datetime","content":"pub fn to_erlang_universal_datetime(\n  value: DateTime,\n) -&gt; #(#(Int, Int, Int), #(Int, Int, Int))\n calculates the universal erlang datetime regardless of the offset in the DateTime value\nSynonyms:\nbirl/time.to_erlang_universal_datetime\nbirl/time to_erlang_universal_datetime","url":"birl/time.html#to_erlang_universal_datetime"},{"doc":"birl/time","title":"to_http","content":"pub fn to_http(value: DateTime) -&gt; String\n see [here](https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Date)\nSynonyms:\nbirl/time.to_http\nbirl/time to_http","url":"birl/time.html#to_http"},{"doc":"birl/time","title":"to_http_with_offset","content":"pub fn to_http_with_offset(value: DateTime) -&gt; String\n like `to_http` but assumes the offset in the DateTime value instead of `GMT`\nSynonyms:\nbirl/time.to_http_with_offset\nbirl/time to_http_with_offset","url":"birl/time.html#to_http_with_offset"},{"doc":"birl/time","title":"to_iso8601","content":"pub fn to_iso8601(value: DateTime) -&gt; String\n\nSynonyms:\nbirl/time.to_iso8601\nbirl/time to_iso8601","url":"birl/time.html#to_iso8601"},{"doc":"birl/time","title":"to_naive","content":"pub fn to_naive(value: DateTime) -&gt; String\n the naive format is the same as ISO8601 except that it does not contain the offset\nSynonyms:\nbirl/time.to_naive\nbirl/time to_naive","url":"birl/time.html#to_naive"},{"doc":"birl/time","title":"to_unix","content":"pub fn to_unix(value: DateTime) -&gt; Int\n unix timestamps are the number of seconds that have elapsed since 00:00:00 UTC on January 1st, 1970\nSynonyms:\nbirl/time.to_unix\nbirl/time to_unix","url":"birl/time.html#to_unix"},{"doc":"birl/time","title":"utc_now","content":"pub fn utc_now() -&gt; DateTime\n Use this to get the current time in utc\nSynonyms:\nbirl/time.utc_now\nbirl/time utc_now","url":"birl/time.html#utc_now"},{"doc":"birl/time","title":"weekday","content":"pub fn weekday(value: DateTime) -&gt; Weekday\n\nSynonyms:\nbirl/time.weekday\nbirl/time weekday","url":"birl/time.html#weekday"},{"doc":"birl/time","title":"birl/time","content":"","url":"birl/time.html"},{"doc":"birl","title":"Day","content":"pub type Day {\n  Day(year: Int, month: Int, date: Int)\n}\n\nDay(year: Int, month: Int, date: Int)\n\n\nSynonyms:\nbirl.Day\nbirl Day","url":"birl.html#Day"},{"doc":"birl","title":"Month","content":"pub type Month {\n  Jan\n  Feb\n  Mar\n  Apr\n  May\n  Jun\n  Jul\n  Aug\n  Sep\n  Oct\n  Nov\n  Dec\n}\n\nJan\n\n\nFeb\n\n\nMar\n\n\nApr\n\n\nMay\n\n\nJun\n\n\nJul\n\n\nAug\n\n\nSep\n\n\nOct\n\n\nNov\n\n\nDec\n\n\nSynonyms:\nbirl.Month\nbirl Month","url":"birl.html#Month"},{"doc":"birl","title":"Time","content":"pub opaque type Time\n\n\nSynonyms:\nbirl.Time\nbirl Time","url":"birl.html#Time"},{"doc":"birl","title":"TimeOfDay","content":"pub type TimeOfDay {\n  TimeOfDay(\n    hour: Int,\n    minute: Int,\n    second: Int,\n    milli_second: Int,\n  )\n}\n\nTimeOfDay(hour: Int, minute: Int, second: Int, milli_second: Int)\n\n\nSynonyms:\nbirl.TimeOfDay\nbirl TimeOfDay","url":"birl.html#TimeOfDay"},{"doc":"birl","title":"Weekday","content":"pub type Weekday {\n  Mon\n  Tue\n  Wed\n  Thu\n  Fri\n  Sat\n  Sun\n}\n\nMon\n\n\nTue\n\n\nWed\n\n\nThu\n\n\nFri\n\n\nSat\n\n\nSun\n\n\nSynonyms:\nbirl.Weekday\nbirl Weekday","url":"birl.html#Weekday"},{"doc":"birl","title":"unix_epoch","content":"pub const unix_epoch: Time = Time(0, 0, option.None, option.None)\n starting point of unix timestamps\nSynonyms:\nbirl.unix_epoch\nbirl unix_epoch","url":"birl.html#unix_epoch"},{"doc":"birl","title":"add","content":"pub fn add(value: Time, duration: Duration) -&gt; Time\n\nSynonyms:\nbirl.add\nbirl add","url":"birl.html#add"},{"doc":"birl","title":"compare","content":"pub fn compare(a: Time, b: Time) -&gt; Order\n\nSynonyms:\nbirl.compare\nbirl compare","url":"birl.html#compare"},{"doc":"birl","title":"difference","content":"pub fn difference(a: Time, b: Time) -&gt; Duration\n\nSynonyms:\nbirl.difference\nbirl difference","url":"birl.html#difference"},{"doc":"birl","title":"from_erlang_local_datetime","content":"pub fn from_erlang_local_datetime(\n  erlang_datetime: #(#(Int, Int, Int), #(Int, Int, Int)),\n) -&gt; Time\n calculates the DateTime value from the erlang datetime using the local offset of the system\nSynonyms:\nbirl.from_erlang_local_datetime\nbirl from_erlang_local_datetime","url":"birl.html#from_erlang_local_datetime"},{"doc":"birl","title":"from_erlang_universal_datetime","content":"pub fn from_erlang_universal_datetime(\n  erlang_datetime: #(#(Int, Int, Int), #(Int, Int, Int)),\n) -&gt; Time\n calculates the DateTime value from the erlang datetime in UTC\nSynonyms:\nbirl.from_erlang_universal_datetime\nbirl from_erlang_universal_datetime","url":"birl.html#from_erlang_universal_datetime"},{"doc":"birl","title":"from_http","content":"pub fn from_http(value: String) -&gt; Result(Time, Nil)\n see [here](https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Date)\n\n also supports other similar formats:\n\n   - `Tue, 01-Nov-2016 08:49:37 GMT`\n\n   - `Tue, 01 Nov 2016 08:49:37 +0630`\n\n   - `Tue, 01-November-2016 08:49:37 Z`\n\n   - `Tuesday, 01-Nov-2016 08:49:37 +330`\n\n   - `Tuesday, 01 November 2016 08:49:37 +06:30`\nSynonyms:\nbirl.from_http\nbirl from_http","url":"birl.html#from_http"},{"doc":"birl","title":"from_naive","content":"pub fn from_naive(value: String) -&gt; Result(Time, Nil)\n Accepts fromats similar to the ones listed for `parse` except that there shoundn&#39;t be any offset information\nSynonyms:\nbirl.from_naive\nbirl from_naive","url":"birl.html#from_naive"},{"doc":"birl","title":"from_unix","content":"pub fn from_unix(value: Int) -&gt; Time\n unix timestamps are the number of seconds that have elapsed since 00:00:00 UTC on January 1st, 1970\nSynonyms:\nbirl.from_unix\nbirl from_unix","url":"birl.html#from_unix"},{"doc":"birl","title":"get_day","content":"pub fn get_day(value: Time) -&gt; Day\n\nSynonyms:\nbirl.get_day\nbirl get_day","url":"birl.html#get_day"},{"doc":"birl","title":"get_offset","content":"pub fn get_offset(value: Time) -&gt; String\n\nSynonyms:\nbirl.get_offset\nbirl get_offset","url":"birl.html#get_offset"},{"doc":"birl","title":"get_time_of_day","content":"pub fn get_time_of_day(value: Time) -&gt; TimeOfDay\n\nSynonyms:\nbirl.get_time_of_day\nbirl get_time_of_day","url":"birl.html#get_time_of_day"},{"doc":"birl","title":"get_timezone","content":"pub fn get_timezone(value: Time) -&gt; Option(String)\n\nSynonyms:\nbirl.get_timezone\nbirl get_timezone","url":"birl.html#get_timezone"},{"doc":"birl","title":"legible_difference","content":"pub fn legible_difference(a: Time, b: Time) -&gt; String\n\nSynonyms:\nbirl.legible_difference\nbirl legible_difference","url":"birl.html#legible_difference"},{"doc":"birl","title":"monotonic_now","content":"pub fn monotonic_now() -&gt; Int\n\nSynonyms:\nbirl.monotonic_now\nbirl monotonic_now","url":"birl.html#monotonic_now"},{"doc":"birl","title":"month","content":"pub fn month(value: Time) -&gt; Month\n\nSynonyms:\nbirl.month\nbirl month","url":"birl.html#month"},{"doc":"birl","title":"now","content":"pub fn now() -&gt; Time\n use this to get the current time in the local timezone offset\nSynonyms:\nbirl.now\nbirl now","url":"birl.html#now"},{"doc":"birl","title":"now_with_offset","content":"pub fn now_with_offset(offset: String) -&gt; Result(Time, Nil)\n Use this to get the current time with a given offset.\n\n Some examples of acceptable offsets:\n\n `&quot;+330&quot;, &quot;03:30&quot;, &quot;-8:00&quot;,&quot;-7&quot;, &quot;-0400&quot;, &quot;03&quot;`\nSynonyms:\nbirl.now_with_offset\nbirl now_with_offset","url":"birl.html#now_with_offset"},{"doc":"birl","title":"now_with_timezone","content":"pub fn now_with_timezone(timezone: String) -&gt; Result(Time, Nil)\n\nSynonyms:\nbirl.now_with_timezone\nbirl now_with_timezone","url":"birl.html#now_with_timezone"},{"doc":"birl","title":"parse","content":"pub fn parse(value: String) -&gt; Result(Time, Nil)\n Supports formats like:\n \n   - `2019t14-4`\n \n   - `20190326t1400-4`\n \n   - `19051222T16:38-3`\n \n   - `2019-03-26t14:00.9z`\n \n   - `1905-12-22T163823+0330`\n \n   - `2019-03-26T14:00:00.9Z`\n \n   - `2019-03-26T14:00:00,4999Z`\n \n   - `1905-12-22T16:38:23.000+03:30`\nSynonyms:\nbirl.parse\nbirl parse","url":"birl.html#parse"},{"doc":"birl","title":"range","content":"pub fn range(\n  from a: Time,\n  to b: Option(Time),\n  step s: Duration,\n) -&gt; Iterator(Time)\n can be used to create a time range starting from time `a` with step `s`\n\n if `b` is `option.None` the range will be infinite\nSynonyms:\nbirl.range\nbirl range","url":"birl.html#range"},{"doc":"birl","title":"set_day","content":"pub fn set_day(value: Time, day: Day) -&gt; Time\n\nSynonyms:\nbirl.set_day\nbirl set_day","url":"birl.html#set_day"},{"doc":"birl","title":"set_offset","content":"pub fn set_offset(\n  value: Time,\n  new_offset: String,\n) -&gt; Result(Time, Nil)\n use this to change the offset of a given time value.\n\n Some examples of acceptable offsets:\n\n `&quot;+330&quot;, &quot;03:30&quot;, &quot;-8:00&quot;,&quot;-7&quot;, &quot;-0400&quot;, &quot;03&quot;, &quot;Z&quot;`\nSynonyms:\nbirl.set_offset\nbirl set_offset","url":"birl.html#set_offset"},{"doc":"birl","title":"set_time_of_day","content":"pub fn set_time_of_day(value: Time, time: TimeOfDay) -&gt; Time\n\nSynonyms:\nbirl.set_time_of_day\nbirl set_time_of_day","url":"birl.html#set_time_of_day"},{"doc":"birl","title":"set_timezone","content":"pub fn set_timezone(\n  value: Time,\n  new_timezone: String,\n) -&gt; Result(Time, Nil)\n\nSynonyms:\nbirl.set_timezone\nbirl set_timezone","url":"birl.html#set_timezone"},{"doc":"birl","title":"short_string_month","content":"pub fn short_string_month(value: Time) -&gt; String\n\nSynonyms:\nbirl.short_string_month\nbirl short_string_month","url":"birl.html#short_string_month"},{"doc":"birl","title":"short_string_weekday","content":"pub fn short_string_weekday(value: Time) -&gt; String\n\nSynonyms:\nbirl.short_string_weekday\nbirl short_string_weekday","url":"birl.html#short_string_weekday"},{"doc":"birl","title":"string_month","content":"pub fn string_month(value: Time) -&gt; String\n\nSynonyms:\nbirl.string_month\nbirl string_month","url":"birl.html#string_month"},{"doc":"birl","title":"string_weekday","content":"pub fn string_weekday(value: Time) -&gt; String\n\nSynonyms:\nbirl.string_weekday\nbirl string_weekday","url":"birl.html#string_weekday"},{"doc":"birl","title":"subtract","content":"pub fn subtract(value: Time, duration: Duration) -&gt; Time\n\nSynonyms:\nbirl.subtract\nbirl subtract","url":"birl.html#subtract"},{"doc":"birl","title":"to_erlang_datetime","content":"pub fn to_erlang_datetime(\n  value: Time,\n) -&gt; #(#(Int, Int, Int), #(Int, Int, Int))\n calculates erlang datetime using the offset in the DateTime value\nSynonyms:\nbirl.to_erlang_datetime\nbirl to_erlang_datetime","url":"birl.html#to_erlang_datetime"},{"doc":"birl","title":"to_erlang_universal_datetime","content":"pub fn to_erlang_universal_datetime(\n  value: Time,\n) -&gt; #(#(Int, Int, Int), #(Int, Int, Int))\n calculates the universal erlang datetime regardless of the offset in the DateTime value\nSynonyms:\nbirl.to_erlang_universal_datetime\nbirl to_erlang_universal_datetime","url":"birl.html#to_erlang_universal_datetime"},{"doc":"birl","title":"to_http","content":"pub fn to_http(value: Time) -&gt; String\n see [here](https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Date)\nSynonyms:\nbirl.to_http\nbirl to_http","url":"birl.html#to_http"},{"doc":"birl","title":"to_http_with_offset","content":"pub fn to_http_with_offset(value: Time) -&gt; String\n like `to_http` but assumes the offset in the DateTime value instead of `GMT`\nSynonyms:\nbirl.to_http_with_offset\nbirl to_http_with_offset","url":"birl.html#to_http_with_offset"},{"doc":"birl","title":"to_iso8601","content":"pub fn to_iso8601(value: Time) -&gt; String\n\nSynonyms:\nbirl.to_iso8601\nbirl to_iso8601","url":"birl.html#to_iso8601"},{"doc":"birl","title":"to_naive","content":"pub fn to_naive(value: Time) -&gt; String\n the naive format is the same as ISO8601 except that it does not contain the offset\nSynonyms:\nbirl.to_naive\nbirl to_naive","url":"birl.html#to_naive"},{"doc":"birl","title":"to_unix","content":"pub fn to_unix(value: Time) -&gt; Int\n unix timestamps are the number of seconds that have elapsed since 00:00:00 UTC on January 1st, 1970\nSynonyms:\nbirl.to_unix\nbirl to_unix","url":"birl.html#to_unix"},{"doc":"birl","title":"utc_now","content":"pub fn utc_now() -&gt; Time\n Use this to get the current time in utc\nSynonyms:\nbirl.utc_now\nbirl utc_now","url":"birl.html#utc_now"},{"doc":"birl","title":"weekday","content":"pub fn weekday(value: Time) -&gt; Weekday\n\nSynonyms:\nbirl.weekday\nbirl weekday","url":"birl.html#weekday"},{"doc":"birl","title":"birl","content":"","url":"birl.html"}]);